# Annotation Type Resources

@Documented @Target(TYPE) @Retention(RUNTIME) public @interface Resources
Used when multiple `Resource` annotations are required.

Since:
  Common Annotations 1.0

- ## Required Element Summary

  Required Elements
  Modifier and Type
  Required Element
  Description
  `Resource[]`
  `value`
  Specifies the array of `Resource` annotations that define the resources required by the annotated component.

- ## Element Details

  - ### value

    Resource[] value
    Specifies the array of `Resource` annotations that define the resources required by the annotated component.
    Returns:
      the array of resource definitions